--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: remove
- !ruby/object:RI::AliasName 
  name: remove_event
- !ruby/object:RI::AliasName 
  name: remove_todo
- !ruby/object:RI::AliasName 
  name: remove_journal
block_params: 
comment: 
full_name: Icalendar::Component#remove_component
is_singleton: false
name: remove_component
params: (component)
visibility: public
